Contact Endpoints

Get contact endpoint

GET
/v1/contact-endpoints/{contactEndpointId}

Get contact endpoint by id (email or phone number).

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

contactEndpointId*string

Response Body

The requested contact endpoint

application/json
  1. response
data*|
Example Request
curl -X GET 'https://dev.dixa.io/v1/contact-endpoints/{contactEndpointId}' \  -H 'Authorization: <API token>'
{
"data": {
"address": "some@email.com",
"senderOverride": "otheremail@mail.dk",
"name": "Special email flow",
"_type": "EmailEndpoint"
}
}

List contact endpoints

GET
/v1/contact-endpoints

List all available contact endpoints in an organization.

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

_type?string

An optional contact type can be specified to filter the contact endpoints. If not provided, all types are listed. Possible values: [EmailEndpoint, TelephonyEndpoint]

Response Body

The list of available contact endpoints

application/json
  1. response
data?array<|>
Example Request
curl -X GET 'https://dev.dixa.io/v1/contact-endpoints' \  -H 'Authorization: <API token>'
{
"data": [
{
"number": "+4531434343",
"functionality": [
"VoiceInbound",
"VoiceOutbound"
],
"name": "DK Sms",
"_type": "TelephonyEndpoint"
},
{
"address": "some@email.com",
"senderOverride": "otheremail@mail.dk",
"name": "Special email flow",
"_type": "EmailEndpoint"
}
]
}